This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489504 - custom partitioning with two disks in system fails
custom partitioning with two disks in system fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 10:36 EDT by Jarod Wilson
Modified: 2009-03-18 09:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 09:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2009-03-10 10:36:58 EDT
Description of problem:
My ThinkPad T61 has two hard drives in it. If the second drive (in the ultrabay) is in the system, both disks are seen and presented as viable targets on the initial storage setup page, but when I choose 'custom parititoning' and click next, everything hangs indefinitely. Over on vt3, there's an endless spew of:

DEBUG: looking for device 'sdb-1'...
DEBUG: found None

Version-Release number of selected component (if applicable):
anaconda 11.5.0.25
Comment 1 Jarod Wilson 2009-03-10 10:43:06 EDT
If I add an sdhc card to the mix, the card and both drives are presented, but a similar hang, only this time:

DEBUG: looking for device 'mmcblk0p-1'...
DEBUG: found None

is what scrolls ad infinitum on vt3.
Comment 2 Chris Lumens 2009-03-12 14:08:55 EDT
Is this still happening with the latest rawhide, which has anaconda-11.5.0.28 in it?  There's been a ton of changes over the past couple days and this seems like the sort of thing we may have taken care of.
Comment 3 Jarod Wilson 2009-03-18 09:50:37 EDT
Not seeing this issue specifically any more in a machine with 3 drives. Not the same machine I initially saw this on, but will close the bug for now and reopen later, if need be.

Note You need to log in before you can comment on or make changes to this bug.